org.gitana.platform.services.billing

## Class PaymentMethodValidationError

- java.lang.Object
- - org.gitana.platform.support.GitanaObjectImpl
  - - org.gitana.platform.services.billing.PaymentMethodValidationError

All Implemented Interfaces:
  Serializable, GitanaObject, JSONable

    public class PaymentMethodValidationError
    extends GitanaObjectImpl

Author:
  uzi
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PaymentMethodValidationError(int code, String message)`
`PaymentMethodValidationError(com.fasterxml.jackson.databind.node.ObjectNode object)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `getCode()`
`String` `getMessage()`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PaymentMethodValidationError

    public PaymentMethodValidationError(com.fasterxml.jackson.databind.node.ObjectNode object)

#### PaymentMethodValidationError

    public PaymentMethodValidationError(int code,
                                        String message)

### Method Detail

#### getCode

    public int getCode()

#### getMessage

    public String getMessage()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`